Page MenuHomePhabricator

CX: Explore the feasibility to reduce CI dependencies and time taken
Closed, ResolvedPublic

Description

Revisit the CI dependencies and explore any steps to reduce the time taken for CIs

Event Timeline

santhosh created this task.Mar 30 2019, 6:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2019, 6:32 PM
santhosh added a comment.EditedApr 2 2019, 6:26 PM

Current dependencies:

'ContentTranslation': ['AbuseFilter', 'Echo', 'EventLogging', 'GuidedTour',  'UniversalLanguageSelector', 'Wikibase',   'VisualEditor'],

Wikibase has the following dependencies:

'Wikibase': [
       'ArticlePlaceholder',
       'CirrusSearch',
       'cldr',
       'Elastica',
       'GeoData',
       'Scribunto',
       'Capiunto',
       'Echo',
       'PropertySuggester',
       'WikibaseQualityConstraints',
       'WikimediaBadges',
       'WikibaseMediaInfo',
       'WikibaseLexeme'
   ],
'AbuseFilter': ['AntiSpoof', 'CentralAuth', 'CodeEditor',  'CheckUser', 'Renameuser'],
'VisualEditor': ['Cite', 'TemplateData'],
'CirrusSearch': ['TimedMediaHandler', 'PdfHandler', 'Cite', 'Elastica',  'GeoData', 'BetaFeatures', 'SiteMatrix'],
 'Echo': ['CentralAuth', 'EducationProgram', 'EventLogging'],

and so on.

Our extension.json lists two requirements

	"VisualEditor": ">= 0.1.0",
	"UniversalLanguageSelector": "*"

GuidedTour is a soft dependency. We check whether it is installed or not. Perhaps that can be removed.
Wikibase client code to add interlanguage links is based on a hook handler. The modules is loaded only if Wikibase is present in the wiki- so no hard depdendency there too. I think it can be removed without much harm.

Change 500810 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[integration/config@master] ContentTranslation: Remove Wikibase and GuidedTour CI dependency

https://gerrit.wikimedia.org/r/500810

santhosh triaged this task as Normal priority.Apr 2 2019, 7:07 PM

Change 500811 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Remove CX1 after publish guided tour

https://gerrit.wikimedia.org/r/500811

Change 500811 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Remove CX1 after publish guided tour

https://gerrit.wikimedia.org/r/500811

Change 500810 merged by jenkins-bot:
[integration/config@master] ContentTranslation: Remove Wikibase and GuidedTour CI dependency

https://gerrit.wikimedia.org/r/500810

Change 502560 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[integration/config@master] ContentTranslation: Restore Wikibase CI dependency

https://gerrit.wikimedia.org/r/502560

Change 502560 merged by jenkins-bot:
[integration/config@master] ContentTranslation: Restore Wikibase CI dependency

https://gerrit.wikimedia.org/r/502560

Change 502671 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Remove the usage of guided tour

https://gerrit.wikimedia.org/r/502671

Change 502672 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Make the wikibase dependency conditional and soft

https://gerrit.wikimedia.org/r/502672

Change 502671 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Remove the usage of guided tour

https://gerrit.wikimedia.org/r/502671

Change 502672 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Make the wikibase dependency conditional and soft

https://gerrit.wikimedia.org/r/502672

Nikerabbit added a subscriber: Nikerabbit.

With the above fixes merged, we can remove the Wikibase dependency again.

Pginer-WMF closed this task as Resolved.Apr 23 2019, 8:36 AM
Pginer-WMF claimed this task.